LINUX.ORG.RU

запустить rawstudio в ubuntu 16.04

 


0

1

проект давно загнулся, последняя версия убунту, где запускается это 14.10, (о наличие других рав конвертеров знаю, но в данном случае нужен этот)
поскольку deb для 16.04 нету скомпилировал из исходников, при попытке запустить пишет:
(rawstudio-daily:22977): Gtk-ERROR **: GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
Ловушка трассировки/останова (сделан дамп памяти)

не нравится наличае гтк 2 и 3, можно ли как-нибудь это обойти?


Ответ на: комментарий от Valman_new

Насчет PPA — а там типа жотока в зависимостях не будет?

Я сильно не копал, но вроде есть какая то бага в версии гтк и равстудио нет в 16.04. Потому надо пробнуть ппа, авось они нормально собрали.

Ygor ★★★★★ ()
Ответ на: комментарий от Ygor

ОП не нравится жотока вообще, а по твоему сообщению я понял, что там лишь фиксанули сборку, но gtk+-то они из нее не выпилили?

Хотя, из ОП не видно, что именно ему не нравится — gtk или gtk 2/3.

Valman_new ()
Ответ на: комментарий от MaR

Ага, а тебе какое из жоток нужно? Если третье — то с большой долей вероятности — ppa.

Valman_new ()
Ответ на: комментарий от MaR

Теоретически да:

Надо пробнуть выставить свой LD_LIBRARY_PATH к примеру:

LD_LIBRARY_PATH=/home/user/lib
export LD_LIBRARY_PATH
rawstudio

А в этот - /home/user/lib сложить симлинками все требующиеся для этого бинарика либы, исключая ненужные.

Узнать нужные либы можно путём:

ldd rawstudio

Ygor ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.